<template lang="pug">
.wrapper
    .test
        h3 Полностью на сервере
        .multiselect
            h5 Мультиселект
            Multiselect(
                v-model="multiselect" 
                :options="options" 
                :multiple="true"
                label="name"
                track-by="name"
                placeholder="Выберите активность"
            )
        .singleselect
            h5 Синглселект
            Multiselect(
                v-model="singleselect" 
                :options="options"
                label="name"
                track-by="name"
                placeholder="Выберите активность"
            )
        .html
            h5 HTML
            div(v-html="rules")
</template>

<script>
import axios from 'axios'
import Multiselect from 'vue-multiselect'

export default {
    name: 'Test',
    components: {
        Multiselect
    },
    async asyncData() {
        try {
            const { data: { result: activities } } = await axios.get('https://api.extremebox.ru/v1/activities')
            const { data: { result: { club } } } = await axios.get('https://api.miskek.ru/v1/services/9')

            return {
                options: activities,
                rules: club.rules
            }
        } catch (error) {
            console.error('Ошибка загрузки данных: ', error)
        }
    },
    data() {
        return {
            singleselect: null,
            multiselect: null,
            options: [],
            rules: null
        }
    }
}
</script>

<style src="vue-multiselect/dist/vue-multiselect.min.css"></style>

<style lang="sass" scoped>
h5
    margin-bottom: 1em

.wrapper
    font-family: 'Roboto', sans-serif
    display: flex
    flex-direction: column
    align-items: center
    justify-content: center
    width: 100%
    min-height: 100vh

.test,
.multiselect,
.singleselect,
.html
    display: grid
    width: 400px

.test
    grid-gap: 1em
    justify-content: flex-start

.html
    line-height: 24px

</style>